/*
 *
 * Javascript used to create the wordpress native color picker
 *
 * Author: Kyle Benk
 */
jQuery(document).ready(function($){

	// Accordion

	$('#myCollapsible').collapse({
		toggle: true
	})

	// Deleting an ad

	$("a.delete_btn").click(function(){
		wpsite_background_takeover_delete($(this).attr('data-id'), $(this).attr('data-url'));
	});

	// Check license key

	$('.' + wps_bt_data.prefix + 'license-actions label').append('<i class="' + wps_bt_data.prefix + 'license-key-status fa fa-spinner fa-spin"></i>');

	var data = {
		'action': 'wps_bt_license_action',
		'license_action': 'check_license',
		'license_key': $('.' + wps_bt_data.prefix + 'license-key').val(),
	};

	$.post(ajaxurl, data, function(response) {

		$('.' + wps_bt_data.prefix + 'license-actions label').find('.fa').remove();

		if ( response == 'valid' ) {
			$('.' + wps_bt_data.prefix + 'license-actions label').append('<i style="color:green;" class="' + wps_bt_data.prefix + 'license-key-status fa fa-check"></i>');
			$('.' + wps_bt_data.prefix + 'license-actions').append('<span class="btn btn-default ' + wps_bt_data.prefix + 'deactivate-license">' + wps_bt_data.deactivate_text + '</span>');
		} else {
			$('.' + wps_bt_data.prefix + 'license-actions label').append('<i style="color:red;" class="' + wps_bt_data.prefix + 'license-key-status fa fa-times"></i>');
			$('.' + wps_bt_data.prefix + 'license-actions').append('<span class="btn btn-default ' + wps_bt_data.prefix + 'activate-license">' + wps_bt_data.activate_text + '</span>');
		}

		console.log(response);
	});

	// Activate License

	$(document).on('click', '.' + wps_bt_data.prefix + 'activate-license', function(){

		$('.' + wps_bt_data.prefix + 'license-actions label').append('<i class="' + wps_bt_data.prefix + 'license-key-status fa fa-spinner fa-spin"></i>');

		var data = {
			'action': 'wps_bt_license_action',
			'license_action': 'activate_license',
			'license_key': $('.' + wps_bt_data.prefix + 'license-key').val(),
		};

		$.post(ajaxurl, data, function(response) {

			$('.' + wps_bt_data.prefix + 'license-actions label').find('.fa').remove();

			if ( response == 'valid' ) {
				$('.' + wps_bt_data.prefix + 'activate-license').remove();
				$('.' + wps_bt_data.prefix + 'license-actions').append('<span class="btn btn-default ' + wps_bt_data.prefix + 'deactivate-license">' + wps_bt_data.deactivate_text + '</span>');
				$('.' + wps_bt_data.prefix + 'license-actions label').append('<i style="color:green;" class="' + wps_bt_data.prefix + 'license-key-status fa fa-check"></i>');
			} else {
				$('.' + wps_bt_data.prefix + 'license-actions label').append('<i style="color:red;" class="' + wps_bt_data.prefix + 'license-key-status fa fa-times"></i>');
			}

			console.log(response);
		});

	});

	// Deactivate License

	$(document).on('click', '.' + wps_bt_data.prefix + 'deactivate-license', function(){

		$('.' + wps_bt_data.prefix + 'license-actions label').append('<i class="' + wps_bt_data.prefix + 'license-key-status fa fa-spinner fa-spin"></i>');

		var data = {
			'action': 'wps_bt_license_action',
			'license_action': 'deactivate_license',
			'license_key': $('.' + wps_bt_data.prefix + 'license-key').val(),
		};

		$.post(ajaxurl, data, function(response) {

			$('.' + wps_bt_data.prefix + 'license-actions label').find('.fa').remove();


			if ( response == 'deactivated' ) {

				$('.' + wps_bt_data.prefix + 'license-key').val('');

				$('.' + wps_bt_data.prefix + 'deactivate-license').remove();
				$('.' + wps_bt_data.prefix + 'license-actions').append('<span class="btn btn-default ' + wps_bt_data.prefix + 'activate-license">' + wps_bt_data.activate_text + '</span>');
				$('.' + wps_bt_data.prefix + 'license-actions label').append('<i style="color:red;" class=" ' + wps_bt_data.prefix + 'license-key-status fa fa-times"></i>');
			} else if ( response == 'failed' ) {
				$('.' + wps_bt_data.prefix + 'license-actions label').append('<i style="color:red;" class=" ' + wps_bt_data.prefix + 'license-key-status fa fa-times"></i>');
			} else {
				$('.' + wps_bt_data.prefix + 'license-actions label').append('<i style="color:green;" class="' + wps_bt_data.prefix + 'license-key-status fa fa-check"></i>');
			}

			console.log(response);
		});

	});

	/**
	 * Deletes an account or message
	 *
	 * @access public
	 * @param mixed message
	 * @param mixed url
	 * @return void
	 */
	function wpsite_background_takeover_delete(message, url) {

		$(".modal-body").find('p').html('Are you sure you want to delete: ' + message);

		$("#modal-success").click(function(){
			$('#myModal').modal('hide');
			window.location = url;
		});
	}
});